aboutsummaryrefslogtreecommitdiff
path: root/dev-libs/rocr-runtime
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2021-12-10 09:30:26 -0500
committerJulien Roy <julien@jroy.ca>2021-12-10 09:30:26 -0500
commit925ffd2853388127af5af84a8679ff488f4a411f (patch)
tree7cc8ece79d195de5b011b1a0605aeba45873a12c /dev-libs/rocr-runtime
parentb531093bc060027e06deb086f50ac7a1acaaefa2 (diff)
downloadMrRoy-Overlay-925ffd2853388127af5af84a8679ff488f4a411f.tar.gz
MrRoy-Overlay-925ffd2853388127af5af84a8679ff488f4a411f.tar.bz2
MrRoy-Overlay-925ffd2853388127af5af84a8679ff488f4a411f.zip
Added rocr-runtime-4.5.0/9999, rocclr-4.5.0/9999, rocm-comgr-4.5.0/9999, rocm-device-libs-4.5.0/9999
Diffstat (limited to 'dev-libs/rocr-runtime')
-rw-r--r--dev-libs/rocr-runtime/Manifest4
-rw-r--r--dev-libs/rocr-runtime/metadata.xml8
-rw-r--r--dev-libs/rocr-runtime/rocr-runtime-4.5.0.ebuild44
-rw-r--r--dev-libs/rocr-runtime/rocr-runtime-9999.ebuild44
4 files changed, 100 insertions, 0 deletions
diff --git a/dev-libs/rocr-runtime/Manifest b/dev-libs/rocr-runtime/Manifest
new file mode 100644
index 0000000..56a2c12
--- /dev/null
+++ b/dev-libs/rocr-runtime/Manifest
@@ -0,0 +1,4 @@
+DIST rocr-runtime-4.5.0.tar.gz 717617 BLAKE2B cab955e6838f210999962d7d73e1a113b2b146238554852c16e794436bb8ad82ad1920d76463cb00602ae319df1f54f4ce18b546837176ca65784b9a3142292d SHA512 089d8e11a4fb91eb53397ac5f4cf95603856c91e4bf3de6bb35173dbee1720bb44cfa496e1aa6e985705057852be6ac236efb094009ef229081f3ac4757e7e10
+EBUILD rocr-runtime-4.5.0.ebuild 1411 BLAKE2B 50eed75f39ef3eb960f284aba93ef35081f00d54362a66e870391e790d38dcab944fa1268223224d450cbe80c1d137957a699c834df6ab9dc1e8381c676e12f0 SHA512 6509ef4ab985531656f1c0394afd4a5bbd1cbb1b2a0c046a84113a81bb968e9c738620e47b6ed1f08f4cb9e1c0f51e06d40330a498dcdcc97af9d108d08a2d4e
+EBUILD rocr-runtime-9999.ebuild 1411 BLAKE2B 50eed75f39ef3eb960f284aba93ef35081f00d54362a66e870391e790d38dcab944fa1268223224d450cbe80c1d137957a699c834df6ab9dc1e8381c676e12f0 SHA512 6509ef4ab985531656f1c0394afd4a5bbd1cbb1b2a0c046a84113a81bb968e9c738620e47b6ed1f08f4cb9e1c0f51e06d40330a498dcdcc97af9d108d08a2d4e
+MISC metadata.xml 241 BLAKE2B 6dac420f48c539432671f9251c134a254e92cd56082e2551d3f9153c4319f11d06ee167a7ea10b4d16764fc2325db5057662ac61812c1ead8e7256915d9f494b SHA512 da3a07ed2a719b870f4a8f2fb10a54f6248184f553d6b8b55c7faa6b7d90aaf1d2a77ac40e08c1b6eb33f6a6da5f1db4d5eaf6c6332ffbd232fddc4ac3a1086a
diff --git a/dev-libs/rocr-runtime/metadata.xml b/dev-libs/rocr-runtime/metadata.xml
new file mode 100644
index 0000000..97ba7c2
--- /dev/null
+++ b/dev-libs/rocr-runtime/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>julien@jroy.ca</email>
+ <name>Julien Roy</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-libs/rocr-runtime/rocr-runtime-4.5.0.ebuild b/dev-libs/rocr-runtime/rocr-runtime-4.5.0.ebuild
new file mode 100644
index 0000000..bb6dbf9
--- /dev/null
+++ b/dev-libs/rocr-runtime/rocr-runtime-4.5.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCR-Runtime/"
+ inherit git-r3
+ S="${WORKDIR}/${P}/src"
+else
+ SRC_URI="https://github.com/RadeonOpenCompute/ROCR-Runtime/archive/rocm-${PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/ROCR-Runtime-rocm-${PV}/src"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Radeon Open Compute Runtime"
+HOMEPAGE="https://github.com/RadeonOpenCompute/ROCR-Runtime"
+PATCHES=(
+ "${FILESDIR}/${PN}-4.1.0-cmake-install-paths.patch"
+)
+
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+
+COMMON_DEPEND="sys-process/numactl
+ dev-libs/elfutils:="
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/roct-thunk-interface-${PV}
+ >=dev-libs/rocm-device-libs-${PV}"
+BDEPEND="app-editors/vim-core"
+ # vim-core is needed for "xxd"
+
+src_prepare() {
+ # ... otherwise system llvm/clang is used ...
+ sed -e "s:find_package(Clang REQUIRED HINTS \${CMAKE_INSTALL_PREFIX}/llvm \${CMAKE_PREFIX_PATH}/llvm PATHS /opt/rocm/llvm ):find_package(Clang REQUIRED HINTS ${EPREFIX}/usr/lib/llvm/roc ):" -i image/blit_src/CMakeLists.txt || die
+
+ # Gentoo installs "*.bc" to "/usr/lib" instead of a "[path]/bitcode" directory ...
+ sed -e "s:/opt/rocm/amdgcn/bitcode:${EPREFIX}/usr/lib/amdgcn/bitcode:" -i image/blit_src/CMakeLists.txt || die
+
+ cmake_src_prepare
+}
diff --git a/dev-libs/rocr-runtime/rocr-runtime-9999.ebuild b/dev-libs/rocr-runtime/rocr-runtime-9999.ebuild
new file mode 100644
index 0000000..bb6dbf9
--- /dev/null
+++ b/dev-libs/rocr-runtime/rocr-runtime-9999.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCR-Runtime/"
+ inherit git-r3
+ S="${WORKDIR}/${P}/src"
+else
+ SRC_URI="https://github.com/RadeonOpenCompute/ROCR-Runtime/archive/rocm-${PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}/ROCR-Runtime-rocm-${PV}/src"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Radeon Open Compute Runtime"
+HOMEPAGE="https://github.com/RadeonOpenCompute/ROCR-Runtime"
+PATCHES=(
+ "${FILESDIR}/${PN}-4.1.0-cmake-install-paths.patch"
+)
+
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)"
+
+COMMON_DEPEND="sys-process/numactl
+ dev-libs/elfutils:="
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/roct-thunk-interface-${PV}
+ >=dev-libs/rocm-device-libs-${PV}"
+BDEPEND="app-editors/vim-core"
+ # vim-core is needed for "xxd"
+
+src_prepare() {
+ # ... otherwise system llvm/clang is used ...
+ sed -e "s:find_package(Clang REQUIRED HINTS \${CMAKE_INSTALL_PREFIX}/llvm \${CMAKE_PREFIX_PATH}/llvm PATHS /opt/rocm/llvm ):find_package(Clang REQUIRED HINTS ${EPREFIX}/usr/lib/llvm/roc ):" -i image/blit_src/CMakeLists.txt || die
+
+ # Gentoo installs "*.bc" to "/usr/lib" instead of a "[path]/bitcode" directory ...
+ sed -e "s:/opt/rocm/amdgcn/bitcode:${EPREFIX}/usr/lib/amdgcn/bitcode:" -i image/blit_src/CMakeLists.txt || die
+
+ cmake_src_prepare
+}